#!/bin/bash

# Obtenemos una fecha de modificación de un fichero. Tiene que ser una de 7 dias de antiguiedad
# FECHA_MODIFICACION=$(stat -c %y <nombre_fichero_antiguo>)

# Aplicar fecha de modificacion al fichero
# sudo touch -d "$FECHA_MODIFICACION" <nombre_fichero_al_que_aplicar>

DIRECTORIO="home/ricardo/pruebas"

for FICHERO in $(ls "$DIRECTORIO"/*); do
    if [ -d "$DIRECTORIO" ]; then
        read -p "Se borrarán los ficheros temporales con 7 días de antiguedad, ¿Desea continuar? (s/n): " R
        if [ "$R" = "S" ] || [ "$R" = "s"]; then
            echo "Borrando ficheros con antiguedad de 7 días..."
            find "$DIRECTORIO" -type f -mtime +7 -exec rm {} \;
            if [ $? -eq 0 ]; then
                echo "Se han borrado correctamente los ficheros en $DIRECTORIO"
            else
                echo "Hubo un problema al borrar los ficheros"
            fi
        else
            echo "Operación cancelada"
        fi
    else
        echo "$DIRECTORIO no existe o no es un directorio"
    fi
done

